package me.mrletsplay.scraperbot;

import me.mrletsplay.mrcore.json.converter.JSONConstructor;
import me.mrletsplay.mrcore.json.converter.JSONConvertible;
import me.mrletsplay.mrcore.json.converter.JSONValue;

public class ScraperBotConfig implements JSONConvertible {

	@JSONValue
	private String token;

	@JSONValue
	private boolean useTestingServer;

	@JSONValue
	private String testingServer;

	@JSONConstructor
	private ScraperBotConfig() {}

	public String getToken() {
		return token;
	}

	public boolean isUseTestingServer() {
		return useTestingServer;
	}

	public String getTestingServer() {
		return testingServer;
	}

	public static ScraperBotConfig createDefault() {
		ScraperBotConfig config = new ScraperBotConfig();
		config.token = "Token";
		config.useTestingServer = false;
		config.testingServer = "Testing server ID";
		return config;
	}

}
